> This page is for version Legacy.
> For other versions, use one of these documentation indexes:
> - 2024-10-01 (default): https://docs.getkard.com/2024-10-01/llms.txt
> - Legacy: https://docs.getkard.com/legacy/llms.txt

> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.getkard.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.getkard.com/_mcp/server.

# Get Audit Status

GET https://rewards-api.getkard.com/transactions/audit/{id}

Call this endpoint to retrieve an update on the status of a created transaction audit. Note, the resolutionCode, resolutionDescription and resolutionTimeStamp will not be available until the audit has a “CLOSED” status signifying its resolution.&#x20;
Required scopes: `audit:read`

Reference: https://docs.getkard.com/legacy/api/transactions/get-audit-by-id

## Authentication

- `Authorization` header (bearer token, required) — Bearer authentication of the form `Bearer <token>`, where token is your auth token.

## Servers

- `https://rewards-api.getkard.com` (Production, default)
- `https://test-rewards-api.getkard.com` (Sandbox)

## Request

### Path parameters

- `id` (string, required) — The audit ID provided by Kard's system

## Response

### 200

- `_id` (string, required) — The audit ID provided by Kard's system
- `transactionId` (string, required) — Transaction ID associated with audit
- `auditCode` (integer, required) — Audit Code - Enum. Code to define audit.`3005` : Customer is claiming cashback is incorrect - INCORRECT CASHBACK CLAIM`3006` : Transaction is missing the cashback award - MISSING CASHBACK AWARD`8001` : Other - check audit description
- `merchantName` (string, required) — Merchant name related to the transaction audit
- `auditDescription` (string, required) — Audit Description. More details around the audit
- `preferredContactEmail` (string, required) — Preferred contact email to message to as audit is reviewed
- `status` (enum, required) — Status of audit
  - Allowed values: `NEW`, `IN_PROGRESS`, `CLOSED`
- `transactionAmountInCents` (integer, optional) — Transaction amount in cents
- `referringPartnerUserId` (string, optional) — Referring partner user ID associated with the transaction to audit
- `merchantId` (string, optional) — Related merchant ID in Kard's system associated to the transaction audit
- `submitterName` (string, optional) — Submitter name
- `resolutionCode` (integer, optional) — Resolution Code - Enum. field is available when audit is status CLOSED.`5001` : Transaction will be deleted`5002` : Settlement amount will be adjusted`5003` : Return amount will be adjusted`5004` : Reward dispute resolved`5005` : Transaction will be marked for writeoff`5006` : Transaction will be marked as rejected`5007` : Transaction will be resent through webhook`5008` : Transaction will be resent through daily file`5009` : No change needed`9001` : Ineligible item in purchase`9002` : Return was made`9003` : User ineligible for offer (usually because of participation through another program)`9004` : Redemption limit hit (if offer has a set number of redemptions and it isn't handled programmatically)`9005` : Transaction not captured
- `resolutionDescription` (string, optional) — Resolution Description; field is available when audit is status CLOSED
- `resolutionTimeStamp` (datetime, optional) — Resolution timestamp of when the audit was marked as status CLOSED in ISO format; available when audit is closed.

## Errors

### 401 Unauthorized Error

- `message` (string, required)

### 500 Internal Server Error

- `string`

### 400 Invalid Request

- `InvalidRequestUnion`

### 404 Does Not Exist Error

- `string`

## Types

### RequestValidationErrorResponse

- `errors` (list of string, required)

## Examples

**Response**

```json
{
  "_id": "5eb2d4a39ce24e00081488c4",
  "transactionId": "some cardlinked transaction id",
  "auditCode": 8001,
  "merchantName": "Caribbean Goodness",
  "auditDescription": "duplicate",
  "preferredContactEmail": "someone@company.com",
  "status": "NEW",
  "transactionAmountInCents": 2600,
  "referringPartnerUserId": "5e135a5a2b1f4c0008c9df79",
  "merchantId": "5e27318c9b346f00087fbb32",
  "submitterName": "Submitter Name",
  "resolutionCode": 5001,
  "resolutionDescription": "duplicate",
  "resolutionTimeStamp": "2022-09-15T19:03:26.236Z"
}
```

**SDK Code**

```python
import requests

url = "https://rewards-api.getkard.com/transactions/audit/%7Bid%7D"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.json())
```

```javascript
const url = 'https://rewards-api.getkard.com/transactions/audit/%7Bid%7D';
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://rewards-api.getkard.com/transactions/audit/%7Bid%7D"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("Authorization", "Bearer <token>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://rewards-api.getkard.com/transactions/audit/%7Bid%7D")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://rewards-api.getkard.com/transactions/audit/%7Bid%7D")
  .header("Authorization", "Bearer <token>")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://rewards-api.getkard.com/transactions/audit/%7Bid%7D', [
  'headers' => [
    'Authorization' => 'Bearer <token>',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://rewards-api.getkard.com/transactions/audit/%7Bid%7D");
var request = new RestRequest(Method.GET);
request.AddHeader("Authorization", "Bearer <token>");
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = ["Authorization": "Bearer <token>"]

let request = NSMutableURLRequest(url: NSURL(string: "https://rewards-api.getkard.com/transactions/audit/%7Bid%7D")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```